Bug 1267856 - [grace] requires lesstif instead of motif
[grace] requires lesstif instead of motif
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 04:49 EDT by Joachim Frieben
Modified: 2016-03-05 13:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 13:03:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-10-01 04:49:53 EDT
Description of problem:
The official Motif library landed in the Fedora package repository three years ago. Unlike packages like dx, package grace still depends on lesstif which is a broken, incomplete and abandoned implementation of Motif.

Version-Release number of selected component (if applicable):
grace-5.1.25-2.fc23

How reproducible:
Always.

Steps to Reproduce:
1. Install package grace.

Actual results:
Package lesstif will be pulled in.

Expected results:
Package motif gets pulled in.

Additional info:
- A locally built package grace depending on motif (actually, lesstif-(devel) has been replaced by motif-(devel) in the spec file) works as expected.
- Package lesstif should be removed from Fedora altogether since even its own developers urge users to move to Motif.
Comment 1 Joachim Frieben 2015-10-03 07:06:24 EDT
The dependency on the required Motif implementation is already resolved through the required packages xbae and nedit without specifying an explicit dependency in grace.spec.
Comment 2 Joachim Frieben 2015-10-03 07:16:47 EDT
Since xbae has already been rebuilt for Fedora 23, see

    http://koji.fedoraproject.org/koji/buildinfo?buildID=688985 ,

reopening the bug report. Nedit should also be rebuilt against motif in order to avoid that both of motif and lesstif get pulled in when installing the updated grace package.

Note You need to log in before you can comment on or make changes to this bug.